.table {
    color: var(--text-color-main);

    table {
        overflow: hidden;
    }

    :global .ant-table-tbody > tr > td,
    :global .ant-table-thead > tr > th {
        max-width: 0;
        padding: 7px 0 7px 10px;

        &:first-child {
            padding-left: 20px;
        }

        &:last-child {
            padding-right: 20px;
        }

        &.ant-table-selection-column {
            text-align: left;
            min-width: 52px;
            width: 52px;
        }

        &:global.centerAlign {
            text-align: center;
        }

        &:global.rightAlign {
            text-align: right;
        }
    }

    :global .ant-table-thead > tr > th {
        background: var(--back-color-main);
        position: relative;
        height: 45px;
        overflow: visible;
    }
}

.column-title {
    display: block;
    height: 45px;
    line-height: 45px;
    background: var(--back-color-main);
    padding: 0 10px;

    > div {
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

.resizable-handle {
    background: var(--back-color-main);
    z-index: 2;
    padding: 10px 0;

    &:after {
        display: block;
        height: 100%;
        margin-left: 4px;
        width: 2px;
        background-color: #DDDDE6;
        content: '.';
        font-size: 0;
    }
}

.draggable-cell-wrapper {
    cursor: move;
    position: relative;
    margin: 0 1px;
    &.disabled {
        pointer-events: none;
    }
}

.ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
}

.cell-content-container {
    composes: ellipsis;
}

.processing-icon {
    display: none;
}

.clickable {
    cursor: pointer;
}

tr.processing {
    background: rgba(255, 241, 186, 0.25);

        .processing-icon {
            display: inline-block;
            font-size: 21px;
            color: #F7981D;
        }

    :global .ant-table-selection-column {
        :global .ant-checkbox-wrapper {
            display: none;
        }
    }
}
